Querio

Get a conversation

GET
/v2/embed/{customer_slug}/conversations/{conversationId}
AuthorizationBearer <token>

Bearer token authentication:

Include your API token in the Authorization header: Authorization: Bearer <your_token>

You will receive your token during onboarding.

In: header

Path Parameters

customer_slugstring

Your organization's unique identifier

conversationIdstring

The conversation identifier

Response Body

curl -X GET "https://app.querio.ai/api/v2/embed/querio/conversations/conv_abc123xyz"

{
  "id": "conv_abc123xyz",
  "title": "Sample data rows and Passport tracking",
  "datasourceId": "ds_ship_123",
  "scope": {
    "customer_id": "550e8400-e29b-41d4-a716-446655440000",
    "tenant_id": "ACME"
  },
  "environment": "production",
  "tags": {
    "user_id": "usr_8f3a2b",
    "department": "logistics"
  },
  "status": "COMPLETED",
  "createdAt": "2026-01-15T10:30:00Z",
  "updatedAt": "2026-01-15T10:32:30Z",
  "messages": [
    {
      "id": "msg_001",
      "role": "user",
      "createdAt": "2026-01-15T10:30:00Z",
      "parts": [
        {
          "type": "text",
          "text": "Show me some rows of data."
        }
      ]
    },
    {
      "id": "msg_002",
      "role": "assistant",
      "createdAt": "2026-01-15T10:30:45Z",
      "parts": [
        {
          "type": "text",
          "text": "I'll grab some sample rows for you.\n\n| Shipment ID | Customer ID | Carrier | Status | Amount |\n|---|---|---|---|---|\n| s1 | CUST_PASSPORT | DHL | in_transit | $129.99 |\n| s2 | CUST_PASSPORT | UPS | delivered | $89.00 |\n\nLet me know if you'd like to explore any specific aspect of this data!"
        }
      ],
      "toolOutputs": [
        {
          "name": "run_scratchpad_sql",
          "callId": "toolu_01HuTSRZQWiMe6AXm2gGcr8t",
          "result": {
            "data": "| SHIPMENT_ID | CUSTOMER_ID | CARRIER | STATUS | AMOUNT |\n|:---|:---|:---|:---|---:|\n| s1 | CUST_PASSPORT | DHL | in_transit | 129.99 |\n| s2 | CUST_PASSPORT | UPS | delivered | 89 |",
            "channel": "output",
            "mimetype": "text/html"
          }
        }
      ]
    },
    {
      "id": "msg_003",
      "role": "user",
      "createdAt": "2026-01-15T10:32:00Z",
      "parts": [
        {
          "type": "text",
          "text": "What does the tracking update Passport Awaiting Item mean?"
        }
      ]
    },
    {
      "id": "msg_004",
      "role": "assistant",
      "createdAt": "2026-01-15T10:32:30Z",
      "parts": [
        {
          "type": "text",
          "text": "\"Passport Awaiting Item\" means the order is in transit from your facility to Passport's processing center.\n\n**What to expect next:**\n- The next status update will be \"Arrived at origin processing center,\" typically within **5 business days**\n\n**If there's a delay:**\n- If a shipment stays in this status for more than **10 days**, Passport hasn't received the package yet — check with your 3PL or warehouse"
        }
      ],
      "toolOutputs": [
        {
          "name": "search_zendesk",
          "callId": "toolu_01LRqsgXe4oiicNeMusGyqJE",
          "result": [
            {
              "title": "What is the tracking update \"Passport Awaiting Item\"?",
              "html_url": "https://help.passportglobal.com/hc/en-us/articles/29663475445267",
              "snippet": "These scans mean the order is in transit from your facility to our processing facility.",
              "article_id": 29663475445267,
              "score": 0.1378
            }
          ]
        }
      ]
    }
  ]
}

{
  "code": "invalid_client",
  "message": "Authentication failed: invalid or expired token"
}

{
  "code": "not_found",
  "message": "Conversation not found"
}

{
  "code": "querio_error",
  "message": "Unexpected internal error"
}